server {
listen 80;
server_name localhost
index index.php index.html index.htm;
error_log  /var/log/nginx/error.log;
access_log /var/log/nginx/access.log;
root   /usr/share/nginx/html;
location / {
    try_files $uri $uri/index.php;
  }
location ~ \.php$ {
    autoindex on;
    autoindex_exact_size on;
    try_files $uri =404;
    fastcgi_split_path_info ^(.+\.php)(/.+)$;
    fastcgi_pass phpfpm:9000;
    fastcgi_index index.php;
    include fastcgi_params;
    fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
    fastcgi_param PATH_INFO $fastcgi_path_info;
}


location /wp-content/ {
   proxy_set_header X-Real-IP $remote_addr;
   proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
   proxy_set_header X-NginX-Proxy true;
   proxy_pass http://172.19.0.1:8200/;
   proxy_http_version 1.1;
   proxy_ssl_session_reuse off;
   proxy_set_header Host $http_host;
   proxy_cache_bypass $http_upgrade;
   proxy_redirect off;     
}
}
